%define major 2.24
Name: libgnomemm2
Version: %major.0
Release: alt1

Summary: A C++ interface for Gnome libs (a GUI library for X)
Summary(ru_RU.KOI8-R):  C++   Gnome (     X)

License: LGPL
Group: System/Libraries
Url: http://gtkmm.sourceforge.net/

%define realname libgnomemm
%define realname2 libgnomemm-2.6

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/libgnomemm/%major/%realname-%version.tar.bz2

# Automatically added by buildreq on Sat Jul 22 2006
BuildRequires: gcc-c++ gnome-vfs-devel libGConf-devel libgnome-devel libgtkmm2-devel

BuildPreReq: libgtkmm2-devel >= 2.8.0
BuildPreReq: doxygen

%description
This package provides a C++ interface for GnomeUI. It is a subpackage
of the Gtk-- project. The interface provides a convenient interface for C++
programmers to create Gnome GUIs with GTK+'s flexible object-oriented
framework.

%description -l ru_RU.KOI8-R
    C++  GnomeUI.   
  Gtk--.    
   C++   Gnome GUIs  GTK+'s flexible object-oriented
framework.

%package devel
Summary: Headers for developing programs that will use Gnome--
Group: Development/GNOME and GTK+
Requires: %name = %version-%release, libgtkmm2-devel
Provides: %realname-devel = %version
#Obsoletes: %realname-devel

%description devel
This package contains the headers that programmers will need to develop
applications which will use Gnome--, part of Gtk-- the C++ interface to
the GTK+ (the Gimp ToolKit) GUI library.

%package examples
Summary: Examples for developing programs that will use Gnome--
Group: Development/GNOME and GTK+
Requires: %name-devel = %version-%release
Provides: %realname-examples = %version

%description examples
This package contains source code of example programs for %name.

%prep
%setup -q -n %realname-%version

%build
%configure \
	--disable-maintainer-mode \
	--disable-static \
	--enable-shared \
	--enable-docs

%make_build

%install
%makeinstall_std

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*
%doc AUTHORS ChangeLog NEWS README

%files devel
%_libdir/*.so
%_includedir/%realname2/
%_pkgconfigdir/%realname2.pc
%dir %_libdir/%realname2
%_libdir/%realname2/include/
%_libdir/%realname2/proc/

#%files examples
#%doc examples/*

%changelog
* Tue Nov 04 2008 Vitaly Lipatov <lav@altlinux.ru> 2.24.0-alt1
- new version 2.24.0 (with rpmrb script)

* Tue Apr 15 2008 Vitaly Lipatov <lav@altlinux.ru> 2.22.0-alt1
- new version 2.22.0 (with rpmrb script)

* Sun Jan 13 2008 Vitaly Lipatov <lav@altlinux.ru> 2.20.0-alt1
- new version 2.20.0 (with rpmrb script)
- cleanup spec

* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 2.18.0-alt1
- new version 2.18.0 (with rpmrb script)

* Sun Dec 24 2006 Vitaly Lipatov <lav@altlinux.ru> 2.16.0-alt1
- cleanup spec, add Packager

* Sat Sep 02 2006 Vitaly Lipatov <lav@altlinux.ru> 2.16.0-alt0.1
- new version 2.16.0 (with rpmrb script)

* Sat Jul 22 2006 Vitaly Lipatov <lav@altlinux.ru> 2.14.0-alt0.1
- new version 2.14.0 (with rpmrb script)
- update URL, update buildreq

* Sun Sep 11 2005 Vitaly Lipatov <lav@altlinux.ru> 2.12.0-alt0.1
- new version

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.10.0-alt0.1
- new version

* Fri Jan 21 2005 Vitaly Lipatov <lav@altlinux.ru> 2.8.0-alt1
- new version
- build with gcc3.4

* Mon Jun 07 2004 Vitaly Lipatov <lav@altlinux.ru> 2.6.0-alt1
- new version

* Mon May 31 2004 Vitaly Lipatov <lav@altlinux.ru> 2.5.1-alt1
- new version

* Wed Dec 31 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.17-alt1
- new version
- build with gcc3.3

* Sat Dec 13 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.9-alt2
- rebuild without .la files
- add m4 files

* Thu Nov 28 2002 Vitaly Lipatov <lav@altlinux.ru> 1.3.9-alt1
- new version for GTK+2
- examples and doc temporary disabled

* Tue Sep 24 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2.3-alt1.1
- make buildable
- added patch from mdk (from ldv version of gnomemm)

* Sat Sep 14 2002 Mikhail Zabaluev <mhz@altlinux.ru> 1.2.3-alt1
- 1.2.3
- bump soname for the GCC 3.2 build
- examples do not belong in %_libdir, static Makefile is wrong too
- include aclocal file in devel

* Wed Nov 07 2001 Dmitry V. Levin <ldv@alt-linux.org> 1.2.2-alt1
- 1.2.2

* Tue Aug 14 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.2.1-alt1
- 1.2.1
- Libification.

* Tue Jul 24 2001 Sergie Pugachev <fd_rag@altlinux.ru> 1.1.17-alt1
- new version

* Thu Mar 29 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.1.16-alt1
- 1.1.16.

* Sun Dec 24 2000 Dmitry V. Levin <ldv@fandra.org> 1.1.12-ipl1mdk
- RE adaptions.
- Split into three packages: %name, %name-devel and %name-examples.
- Fixed %name-examples to allow build after installation.

* Wed Dec 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1.12-1mdk
- Release 1.1.12
- correct dependency
- patch from Gnome CVS to compile with gcc 2.96

* Wed Oct 11 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.10-3mdk
- fix %%_tmppath
- bzip2 source

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.10-2mdk
- automatically added BuildRequires

* Wed Aug  2 2000 Vincent Saugey <vince@mandrakesoft.com> 1.1.10-1mdk
- First mdk release

* Thu May 11 2000 Herbert Valerio Riedel <hvr@gnu.org>
- removed lib/gtkmm from files section
- removed empty obsolete tags

* Sun Jan 30 2000 Karl Einar Nelson <kenelson@sourceforge.net>
- adapted from gtk--.spec

